Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mx4j.util
Class Base64Codec

    java.lang.Object
      mx4j.util.Base64Codec

public class Base64Codec
extends java.lang.Object

This class is copy/paste of Jakarta's Commons-Codec v1.1 `org.apache.commons.codec.binary.Base64` implementation. It is reproduced here because we don't want to require a new jar just to perform Base64 code/decoding.

Version:
  $Revision: 1.3 $

Method Summary
`static byte[]` | `decodeBase64(byte[] base64Data)`
`static byte[]` | `encodeBase64(byte[] binaryData)`
`static boolean` | `isArrayByteBase64(byte[] arrayOctect)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### isArrayByteBase64

    public static boolean isArrayByteBase64(byte[] arrayOctect)

### encodeBase64

    public static byte[] encodeBase64(byte[] binaryData)

### decodeBase64

    public static byte[] decodeBase64(byte[] base64Data)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 The MX4J Contributors. All Rights Reserved.